## Skyward Hub

The purpose of this document is to provide an easy access to the software documentation for a deep understanding of the developed system. 

### Wiki

The [Skyward Hub wiki](https://git.skywarder.eu/scs/skywardhub/-/wikis/Home) contains detailed information regarding the purpose of this software, its design, and some useful "how-to" guides for using the software and contribute to its development.

### Quick Overview


- The **SkywardHub** is an HMI (_Human-Machine Interface_) suite. The software is made of _Modules_ that can be arranged in different 
_configurations_ each of which is design for a specific purpose. 
- The **GroundStation** is one of the possible configurations of the modules, it is used for pre-flight operations, testing, and integration procedures. 

The purpose of the SkywardHub is to offer a standard development framework for quick deployment and testing of new functionalities, ensuring a coherent design among all the HMI applications developed in Skyward. The modular and configurable design aimed to guarantee a flexible UI and maintainable software for long-term compatibility with future mission requirements. 
