#pragma once

#include <QLabel>
#include <QWidgetAction>

class ContextMenuSeparator : public QWidgetAction
{
public:
    explicit ContextMenuSeparator(QWidget *parent = nullptr);
    explicit ContextMenuSeparator(const QString &txt,
                                  QWidget *parent = nullptr);
    ~ContextMenuSeparator();
    void setHeight(int val);
    void setText(const QString &txt);

protected:
    void build();

private:
    QLabel label;
};
