#pragma once

#include <Core/MessageBroker/MessageBroker.h>

#include <QThread>

class SendThread : public QThread
{
public:
    SendThread(MessageBroker* broker, const Message& msg, long timeout);
    void requestStop();

protected:
    void run() override;

private:
    MessageBroker* broker;
    Message msg;
    long timeout;
    bool toStop;
};
