#ifndef CSVLOGGER_H
#define CSVLOGGER_H

#include <Core/Message/Message.h>
#include <Modules/DefaultModule/DefaultModule.h>

class CsvLogger : public DefaultModule
{
    Q_OBJECT

public:
    explicit CsvLogger(QWidget* parent = nullptr);
    ~CsvLogger();

    QWidget* toWidget() override;

    XmlObject toXmlObject() override;
    void fromXmlObject(const XmlObject& obj) override;

private:
    bool started;
    QFile* file;
    Filter lastSub;

    void setupUi();

private slots:
    void received(const Message& msg);
};

#endif // CSVLOGGER_H
