#include "MavlinkWriter.h"

#include <chrono>

MavlinkWriter::MavlinkWriter() {}

void MavlinkWriter::write(const mavlink_message_t& message)
{
    if (serial == nullptr)
        return;

    unsigned char buff[sizeof(mavlink_message_t) + 1];

    int msg_len = mavlink_msg_to_send_buffer(buff, &message);
    serial->write(reinterpret_cast<char*>(buff), msg_len);

    // if (serial->write(reinterpret_cast<char*>(buff), msg_len) == -1)
    //     qDebug() << "MavlinkWriter: Error, writeMsg serial port error";

    serial->flush();
}

void MavlinkWriter::setSerialPort(QSerialPort* port) { serial = port; }
