#pragma once

#include <QWidget>

#include "Modules/DefaultModule/DefaultModule.h"

namespace Ui
{
class TestModule;
}

class TestModule : public DefaultModule
{
    Q_OBJECT

public:
    explicit TestModule(QWidget *parent = nullptr);
    ~TestModule();

    QWidget *toWidget() override;
    XmlObject toXmlObject() override;
    void fromXmlObject(const XmlObject &xmlObject) override;

private slots:
    void on_publish_button_clicked();

    void on_subscribe_button_clicked();

    void on_unsubscribe_button_clicked();
    void onMaxCharChanged(int value);

private:
    Ui::TestModule *ui;

    int maxChar = 2000;
};
