#pragma once

#include <QGridLayout>
#include <QLabel>
#include <QMap>
#include <QString>
#include <QTime>
#include <QVBoxLayout>
#include <QWidget>
#include <QtWidgets>

#include "Error.h"

class ErrorDisplayer : public QWidget
{
    Q_OBJECT

public:
    explicit ErrorDisplayer(QWidget* parent);
    ~ErrorDisplayer();

    void createError(QString title, QString text, ErrorType type, int duration);
    void reposition();

protected:
    void removeError(Error* error);

    friend class Error;

private:
    QWidget* parent;
    int index;
    QVBoxLayout layout;
    QList<Error*> errors;
};
