#pragma once

#include <Core/Message/Filter.h>

#include <QList>
#include <QListWidgetItem>
#include <QWidget>

class SubscriptionsPanel : public QWidget
{
    Q_OBJECT

public:
    SubscriptionsPanel();
    explicit SubscriptionsPanel(const QList<Filter>& filters);

    void addFilter(const Filter& filter);

signals:
    void filterAdded(const Filter& filter);
    void filterRemoved(const Filter& filter);

private:
    void setupUi();
    void removeSubscription(QListWidgetItem* item);

    QListWidget* filtersList;
};
