#pragma once

#include <QMenu>
#include <QObject>

class Module;

class EventHandler : public QObject
{
    Q_OBJECT

public:
    EventHandler();

signals:
    void beforeDelete(Module *module);
    void replaceMeWith(Module *sender, Module *newModule);
    void replaceMeWithModules(QList<Module *> module);
    void contextMenuRequest(QMenu &menu, const QPoint &p);
};
