#pragma once

#include <Modules/CommandPad/MessageFormElement.h>
#include <Modules/DefaultModule/DefaultModule.h>

#include <tuple>

class CommandPad : public DefaultModule
{
    Q_OBJECT

public:
    explicit CommandPad(QWidget* parent = nullptr);
    ~CommandPad();

    QWidget* toWidget() override;

    XmlObject toXmlObject() override;
    void fromXmlObject(const XmlObject& xmlObject) override;

private:
    void setupUi();

    QString currentMessage;
    QComboBox* messagesListComboBox;
    QMap<QString, MessageFormElement*> formElements;
};
