#pragma once

#include <Core/Module/Module.h>
#include <Modules/DefaultModule/DefaultModule.h>

#include <QMenu>
#include <QSharedPointer>
#include <QWidget>

namespace Ui
{
class EmptyModule;
}

class EmptyModule : public DefaultModule
{
    Q_OBJECT

public:
    explicit EmptyModule();
    ~EmptyModule() override;

    QWidget* toWidget() override;

    XmlObject toXmlObject() override;
    void fromXmlObject(const XmlObject& xmlObject) override;

protected:
    void connectUiSlots();

protected slots:
    void onSelectPanelClick();

private:
    Ui::EmptyModule* ui;
};
