#pragma once

#include <QMainWindow>

#include "Core/SkywardHubCore.h"
#include "Window.h"

class SkywardHubMainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit SkywardHubMainWindow(QWidget *parent = nullptr);

protected slots:
    void onPageAdded(int index);
    void onContextMenuRequest(QMenu &menu, const QPoint &p);

private:
    SkywardHubCoreProxy core;
    Window *mainWindow;
};
