#pragma once

#include <QMutex>
#include <QSerialPort>

#include "MavlinkVersionHeader.h"

class MavlinkWriter : public QObject
{
    Q_OBJECT

public:
    MavlinkWriter();

    void setSerialPort(QSerialPort* port);
    void write(const mavlink_message_t& message);

private:
    QSerialPort* serial = nullptr;
    QMutex mtx;
};
